## org.hibernate.envers.revisioninfo
Class RevisionInfoNumberReader

    java.lang.Object
      org.hibernate.envers.revisioninfo.RevisionInfoNumberReader

    public class RevisionInfoNumberReader

extends Object

Gets a revision number from a persisted revision info entity.

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`RevisionInfoNumberReader(Class<?> revisionInfoClass, PropertyData revisionInfoIdData)`

Method Summary
`Number` `getRevisionNumber(Object revision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionInfoNumberReader

    public RevisionInfoNumberReader(Class<?> revisionInfoClass,
                                    PropertyData revisionInfoIdData)

Method Detail

### getRevisionNumber

    public Number getRevisionNumber(Object revision)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.